# expand-abbrev(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

expand-abbrev - Expand an abbreviation

## SYNOPSIS

expand-abbrev

## DESCRIPTION

expand-abbrev expands an abbreviation to an alternate form. The abbreviation must be an alpha-numeric string and the cursor must be one position to the right of the abbreviation (which must not be alpha-numeric) when this command is called. If the abbreviation is found, it is deleted and the alternate form is inserted leaving the cursor at the end of the insertion unless `\p` is used. If not found, a space is inserted.

## SEE ALSO

buffer-abbrev-file(2), global-abbrev-file(2), expand-abbrev-handle(3), eaf(8).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>